Merge pull request #6 from isbear/master
authorMikael <mikael@lilotux.net>
Thu, 15 Nov 2012 11:31:22 -0800
changeset 639 fffbd7c4f6c5
parent 635 5529185fdc22 (current diff)
parent 638 bdfa8e1da006 (diff)
child 642 3810c9e91f8e
Merge pull request #6 from isbear/master Fix remaining deprecated symbols
--- a/README	Thu Nov 15 00:55:07 2012 -0800
+++ b/README	Thu Nov 15 11:31:22 2012 -0800
@@ -59,10 +59,13 @@
 Questions, remarks, bug reports:
 ================================
 
-See the web page for more information and issue reporting.
-
-http://projects.imendio.com/loudmouth
+Official loudmouth project is no more maintained - both
+<http://projects.imendio.com/loudmouth> and
+<http://loudmouth-project.org>.
 
-Questions and others can be sent to me at:
-email: micke@imendio.com
-jabber: micke@imendio.com
+This fork of loudmouth is lazily maintained by MCabber community, members
+of which can be found in official mcabber chatroom: <xmpp:mcabber@lilotux.net>.
+
+Bugs can be also reported (to not lose track of them) to github bugtracker:
+<http://github.com/mcabber/loudmouth/issues>
+
--- a/autogen.sh	Thu Nov 15 00:55:07 2012 -0800
+++ b/autogen.sh	Thu Nov 15 11:31:22 2012 -0800
@@ -4,6 +4,12 @@
 : ${AUTORECONF=autoreconf}
 : ${GTKDOCIZE=gtkdocize}
 
+if ! [ -f "./autogen.sh" ]; then
+	# Avoid creation of files in random directories
+	echo "Error: You have to run this script in the root of loudmouth sources."
+	exit 1
+fi
+
 if [ "x$1" = "x-h" ] || [ "x$1" = "x--help" ]; then
 	echo "./autogen.sh [-g]"
 	echo
@@ -15,19 +21,13 @@
 	# ensure, that gtk-doc.make exists and is readable
 	# otherwise automake will fail - it is included from
 	# doc/reference/Makefile.am
-	if [ -f "./autogen.sh" ]; then
-		if [ -h "./gtk-doc.make" ]; then
-			rm -f "./gtk-doc.make"
-		fi
-		if [ -n "./gtk-doc.make" ]; then
-			: > "./gtk-doc.make"
-		fi
-		GTKDOCIZE=":"
-	else
-		# Avoid creation of files in random directories
-		echo "Error: You have to run this script from the root of loudmouth sources."
-		exit 1
+	if [ -h "./gtk-doc.make" ]; then
+		rm -f "./gtk-doc.make"
 	fi
+	if [ -n "./gtk-doc.make" ]; then
+		: > "./gtk-doc.make"
+	fi
+	GTKDOCIZE=":"
 fi
 
 $GTKDOCIZE || exit 1
--- a/loudmouth/lm-ssl-gnutls.c	Thu Nov 15 00:55:07 2012 -0800
+++ b/loudmouth/lm-ssl-gnutls.c	Thu Nov 15 11:31:22 2012 -0800
@@ -196,17 +196,11 @@
 {
     int ret;
     gboolean auth_ok = TRUE;
-    const int cert_type_priority[] =
-        { GNUTLS_CRT_X509, GNUTLS_CRT_OPENPGP, 0 };
-    const int compression_priority[] =
-        { GNUTLS_COMP_DEFLATE, GNUTLS_COMP_NULL, 0 };
 
     gnutls_init (&ssl->gnutls_session, GNUTLS_CLIENT);
-    gnutls_set_default_priority (ssl->gnutls_session);
-    gnutls_certificate_type_set_priority (ssl->gnutls_session,
-                                          cert_type_priority);
-    gnutls_compression_set_priority (ssl->gnutls_session,
-                                     compression_priority);
+    gnutls_priority_set_direct (ssl->gnutls_session,
+                        "NORMAL:+CTYPE-X.509:+CTYPE-OPENPGP:+COMP-DEFLATE",
+			NULL);
     gnutls_credentials_set (ssl->gnutls_session,
                             GNUTLS_CRD_CERTIFICATE,
                             ssl->gnutls_xcred);